import pandas as pd

from config import settings

"""
不能使用(server_df['running'] == 1)过滤
当停服且设置为维护状态该区服 running=0 该区服会过滤掉，
但以db host同步 lastActTime_**_host 并不会停止
导致 该区服丢失一次数据
"""
def get_server_list() -> pd.DataFrame:
    server_df = pd.read_json(settings.SERVER_LIST_URL)
    server_df = server_df[
        (server_df['debug'] != 1)
        # & (server_df['running'] == 1)
        & (server_df['dbuser'] != '')
        & (~server_df['game'].isin(['xiyou', 'fengshen', 'hommh5', 'sanguo', 'gods']))
        ]

    return server_df.groupby(['game', 'dbhost', 'dbport', 'dbuser', 'dbpwd'])
